Skip to main content
GET
/
v0
/
orders
List Orders
curl --request GET \
  --url https://api.sfcompute.com/v0/orders \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "object": "order",
      "id": "ordr_xyz123",
      "side": "buy",
      "instance_type": "h100i",
      "price": 1600,
      "quantity": 2,
      "status": "open",
      "created_at": "2024-07-15T22:30:17.426Z",
      "start_at": "2024-07-16T00:00:00Z",
      "end_at": "2024-07-17T00:00:00Z",
      "flags": {
        "ioc": false,
        "post_only": false,
        "market": false,
        "prorate": false
      }
    }
  ],
  "has_more": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.sfcompute.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Create an API token using sf tokens create or at https://sfcompute.com/account/api-keys.

Query Parameters

side
enum<string>

Filter by order side (buy or sell)

Available options:
buy,
sell
instance_type
string

Filter by instance type

Examples:

"h100i"

"h100v"

"h200ki"

min_price
integer<int64>

Minimum price in cents

max_price
integer<int64>

Maximum price in cents

min_start_date
string<date-time>

Minimum start date An ISO 8601 datetime string

Example:

"2025-07-11T20:41:37.423Z"

max_start_date
string<date-time>

Maximum start date An ISO 8601 datetime string

Example:

"2025-07-11T20:41:37.423Z"

min_duration
integer<int64>

Minimum duration in seconds Unix timestamp.

Example:

1738972800

max_duration
integer<int64>

Maximum duration in seconds Unix timestamp.

Example:

1738972800

min_quantity
integer<int32>

Minimum quantity

max_quantity
integer<int32>

Maximum quantity

contract_id
string

Filter by contract ID

Pattern: cont_[0-9a-zA-Z_-]{1,21}
Example:

"cont_k3R-nX9vLm7Qp2Yw5Jd8F"

only_open
boolean

Show only open orders

exclude_filled
boolean

Exclude filled orders

only_filled
boolean

Show only filled orders

min_filled_at
string<date-time>

Minimum filled at date An ISO 8601 datetime string

Example:

"2025-07-11T20:41:37.423Z"

max_filled_at
string<date-time>

Maximum filled at date An ISO 8601 datetime string

Example:

"2025-07-11T20:41:37.423Z"

min_fill_price
integer<int64>

Minimum fill price in cents

max_fill_price
integer<int64>

Maximum fill price in cents

exclude_cancelled
boolean

Exclude cancelled orders

only_cancelled
boolean

Show only cancelled orders

min_cancelled_at
string<date-time>

Minimum cancelled at date An ISO 8601 datetime string

Example:

"2025-07-11T20:41:37.423Z"

max_cancelled_at
string<date-time>

Maximum cancelled at date An ISO 8601 datetime string

Example:

"2025-07-11T20:41:37.423Z"

min_placed_at
string<date-time>

Minimum placed at date An ISO 8601 datetime string

Example:

"2025-07-11T20:41:37.423Z"

max_placed_at
string<date-time>

Maximum placed at date An ISO 8601 datetime string

Example:

"2025-07-11T20:41:37.423Z"

limit
integer<int64>

Maximum number of results to return (default: 100, max: 100)

offset
integer<int64>

Number of results to skip

sort_by
enum<string>

Sort field Sort field for listing orders

Available options:
created_at,
start_time
Examples:

"created_at"

"start_time"

sort_direction
enum<string>

Sort direction Sort direction for listing orders

Available options:
ASC,
DESC
Examples:

"ASC"

"DESC"

Response

List of orders

object
enum<string>
required
Available options:
list
Example:

"list"

data
object[]
required
has_more
boolean
required